## okteta 4.13.3

=== mobile/CMakeLists.txt ===
project( oktetamobile )

add_subdirectory( kasten )

add_subdirectory( program )
